Package org.h2gis.functions.spatial.split

# Class ST_Split

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.split.ST_Split

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Split extends org.h2gis.api.DeterministicScalarFunction
This function split a line by a line a line by a point a polygon by a line

Author:
  Erwan Bocher

## Field Summary

Fields
Modifier and Type
Field
Description
`static final double`
`PRECISION`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Split()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`split(org.locationtech.jts.geom.Geometry geomA, org.locationtech.jts.geom.Geometry geomB)`
Split a geometry a according a geometry b.
`static org.locationtech.jts.geom.Geometry`
`split(org.locationtech.jts.geom.Geometry geomA, org.locationtech.jts.geom.Geometry geomB, double tolerance)`
Split a geometry a according a geometry b using a snapping tolerance.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Field Details

### PRECISION

public static final double PRECISION

See Also:
  - Constant Field Values

## Constructor Details

### ST_Split

public ST_Split()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### split

public static org.locationtech.jts.geom.Geometry split(org.locationtech.jts.geom.Geometry geomA, org.locationtech.jts.geom.Geometry geomB) throws SQLException
Split a geometry a according a geometry b. Supported operations are : split a line by a line a line by a point a polygon by a line. A default tolerance of 10E-6 is used to snap the cutter point.

Parameters:
  `geomA` -
  `geomB` -
Returns:
Throws:
  `SQLException`

### split

public static org.locationtech.jts.geom.Geometry split(org.locationtech.jts.geom.Geometry geomA, org.locationtech.jts.geom.Geometry geomB, double tolerance) throws SQLException
Split a geometry a according a geometry b using a snapping tolerance. This function support only the operations : - split a line or a multiline with a point.

Parameters:
  `geomA` - the geometry to be splited
  `geomB` - the geometry used to split
  `tolerance` - a distance tolerance to snap the split geometry
Returns:
Throws:
  `SQLException`